summaryrefslogtreecommitdiff
path: root/dev-python/humanize
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/humanize')
-rw-r--r--dev-python/humanize/Manifest1
-rw-r--r--dev-python/humanize/humanize-4.10.0.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index 1a4751b20e78..c62b2f90136b 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
+DIST humanize-4.10.0.tar.gz 79192 BLAKE2B 398fe1eb3b39cfc93096f7e12f057959f3e336721fe05be4bfe0bf16d3470a04a33b978c6e4ffb73c58bfb1032f9ec48b29397ef51073aa881b036427e73eb10 SHA512 973fe7aecffcc7c9b56426b5a143402a97833122e63362115ae50318c909188bbe872fbfdfaa3015298ecd44c6ebc4223d9abd202c47622066b730908a6dda44
DIST humanize-4.9.0.tar.gz 78465 BLAKE2B bb13199f7ed9b833891e1e5f166dce33e167224c5fb75ab33130a551680e802aa347f5e19cd1162caa79917af6e0acbbb36226d5051a9d4eef07bc554ba0e19e SHA512 64238f6717302cec4cac853fd2813647132eb4f6cd73cc61fd43346577cd42bbc2cf5a7345910393cd9a4e9c2b5e949a50c6259b0bd8254a05e08d0d8d70a5d5
diff --git a/dev-python/humanize/humanize-4.10.0.ebuild b/dev-python/humanize/humanize-4.10.0.ebuild
new file mode 100644
index 000000000000..4af13facc61a
--- /dev/null
+++ b/dev-python/humanize/humanize-4.10.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="
+ https://github.com/python-humanize/humanize/
+ https://pypi.org/project/humanize/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/coverage/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}